Get Connection Shapes

get

/rpa/v1/connectionShapes

Returns a list of all Connection Shapes for a service instance.

Request

Query Parameters
  • Minimum Length: 1
    Maximum Length: 50
    A filter to return only resources that match the entire display name given.
  • A filter that returns all resources that match the specified lifecycle state.
  • Minimum Value: 1
    Maximum Value: 100
    The maximum number of items to return.
    Default Value: 100
  • Minimum Length: 1
    A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response.
  • Project identifier
  • A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
  • The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
    Default Value: TIME_CREATED
    Allowed Values: [ "TIME_CREATED", "DISPLAY_NAME" ]
  • The sort order to use, either 'ASC' or 'DESC'.
    Allowed Values: [ "ASC", "DESC" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

A page of Connection Shape Summary objects.
Headers
  • For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : ConnectionShapeCollection
Type: object
Results of a connection list operation. Contains ConnectionShapeSummary items.
Show Source
Nested Schema : items
Type: array
List of ConnectionShape Summary objects.
Show Source
Nested Schema : ConnectionShapeSummary
Type: object
Summary of the ConnectionShape.
Show Source

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top